# Delete a Job

del ` https://app.mk.io/api/v1/projects/:project_name/media/transforms/:transform_name/jobs/:job_name`

Delete a Job.

RBAC Capability Required: `ams.job.delete`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your
auth token.

## Path parameters

| Parameter                | Type   | Required | Description  |
|--------------------------|--------|----------|--------------|
| project_name             | string | Yes      |              |
| transform_name           | string | Yes      |              |
| job_name                 | string | Yes      |              |

## Response

### 200
Job deleted.

No response body.

### 204
Nothing to delete.

No response body.

## Errors

### 400 Bad Request

errorobject [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

Pertinent information about the error

| Property          | Type   | Required | Description              |
|-------------------|--------|----------|--------------------------|
| code              | string | Yes      | The error code.          |
| detail            | string | Yes      | The error message.       |
| extraDetail       | map    | No       | Extra information        |
| ref               | string | Yes      | A reference to the request that caused the error. |
| status            | integer| Yes      | The HTTP status code     |

### 401 Unauthorized

errorobject [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

### 403 Forbidden

errorobject [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

### 404 Not Found

errorobject [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

### 429 Too Many Requests

errorobject [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

### 500 Internal Server Error

errorobject [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
